Bug 27439 - Improve hint labels on patron attribute type entry form
Summary: Improve hint labels on patron attribute type entry form
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-14 19:23 UTC by Owen Leonard
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27439: Improve hint labels on patron attribute type entry form (4.85 KB, patch)
2021-01-14 20:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27439: Improve hint labels on patron attribute type entry form (4.91 KB, patch)
2021-01-18 22:57 UTC, Victoria Faafia
Details | Diff | Splinter Review
Bug 27439: Improve hint labels on patron attribute type entry form (4.96 KB, patch)
2021-01-18 23:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27439: Remove repetition in hint (1.57 KB, patch)
2021-01-20 12:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-01-14 19:23:54 UTC
There are some markup inconsistencies in admin/patron-attr-types.tt which should be cleaned up, and system preference references should be linked directly to the preference (with permission)
Comment 1 Owen Leonard 2021-01-14 20:00:40 UTC
Created attachment 115182 [details] [review]
Bug 27439: Improve hint labels on patron attribute type entry form

This patch makes some minor changes to the patron attribute type
template in order make corrections and improve consistency:

- Change some generic <span>s to <div class="hint">
- Correct terminology: Branch -> Library
- Improve hint text:
  Before: "Select All if this attribute type must to be displayed all
  the time."
  After: "Select "All libraries" if this attribute type should always
  be displayed"
- Link reference to authorized values "PA_CLASS" directly to that page
  for users with permission.

To test, apply the patch and go to Administration -> Patron attribute
types -> New patron attribute type.

 - Confirm that the hints on these fields are properly styled:
   Authorized value category, Library limitation, Category, and Class.
 - Confirm that the text uses the term "library" instead of "branch."
 - Confirm that the hint on the "Class" field links directly to
   authorized values if you are logged in with a user with permission.
Comment 2 Victoria Faafia 2021-01-18 22:57:07 UTC
Created attachment 115255 [details] [review]
Bug 27439: Improve hint labels on patron attribute type entry form

This patch makes some minor changes to the patron attribute type
template in order make corrections and improve consistency:

- Change some generic <span>s to <div class="hint">
- Correct terminology: Branch -> Library
- Improve hint text:
  Before: "Select All if this attribute type must to be displayed all
  the time."
  After: "Select "All libraries" if this attribute type should always
  be displayed"
- Link reference to authorized values "PA_CLASS" directly to that page
  for users with permission.

To test, apply the patch and go to Administration -> Patron attribute
types -> New patron attribute type.

 - Confirm that the hints on these fields are properly styled:
   Authorized value category, Library limitation, Category, and Class.
 - Confirm that the text uses the term "library" instead of "branch."
 - Confirm that the hint on the "Class" field links directly to
   authorized values if you are logged in with a user with permission.

Signed-off-by: Victoria Faafia <vfaafia29@gmail.com>
Comment 3 Katrin Fischer 2021-01-18 23:15:08 UTC
Created attachment 115258 [details] [review]
Bug 27439: Improve hint labels on patron attribute type entry form

This patch makes some minor changes to the patron attribute type
template in order make corrections and improve consistency:

- Change some generic <span>s to <div class="hint">
- Correct terminology: Branch -> Library
- Improve hint text:
  Before: "Select All if this attribute type must to be displayed all
  the time."
  After: "Select "All libraries" if this attribute type should always
  be displayed"
- Link reference to authorized values "PA_CLASS" directly to that page
  for users with permission.

To test, apply the patch and go to Administration -> Patron attribute
types -> New patron attribute type.

 - Confirm that the hints on these fields are properly styled:
   Authorized value category, Library limitation, Category, and Class.
 - Confirm that the text uses the term "library" instead of "branch."
 - Confirm that the hint on the "Class" field links directly to
   authorized values if you are logged in with a user with permission.

Signed-off-by: Victoria Faafia <vfaafia29@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-01-18 23:15:45 UTC
Thx for testing, Victoria!
Comment 5 Jonathan Druart 2021-01-20 09:14:58 UTC
Owen, shouldn't we remove the "Authorized value category;" part from "Authorized value category; if one is selected, the patron record input page will only allow values to be chosen from the authorized value list. However, an authorized value list is not enforced during batch patron import."?

https://snipboard.io/u5vmDB.jpg
Comment 6 Jonathan Druart 2021-01-20 12:49:47 UTC
Created attachment 115429 [details] [review]
Bug 27439: Remove repetition in hint
Comment 7 Jonathan Druart 2021-01-20 12:51:24 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-01-25 15:18:48 UTC
Enhancement not pushed to 20.11.x